## rust-rookie 0.5.6+ds

=== examples/python/requirements.txt ===
rookiepy
