=== debian/changelog ===
rust-rookie (0.5.6+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1118456)

 -- Alexander Sulfrian <alexander@sulfrian.net>  Wed, 22 Oct 2025 19:59:40 +0200
