=== debian/control ===
Source: rust-rookie
Section: rust
Priority: optional
Maintainer: Alexander Sulfrian <alexander@sulfrian.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 dh-sequence-python3,
 cargo,
 rustc,
 libstd-rust-dev,
 librust-aes-0.8+default-dev,
 librust-aes-gcm-0.10+default-dev,
 librust-cbc-0.1+default-dev,
 librust-clap-4+default-dev (>= 4.4.6-~~),
 librust-clap-4+derive-dev (>= 4.4.6-~~),
 librust-eyre-0.6+default-dev (>= 0.6.12-~~),
 librust-glob-0.3+default-dev,
 librust-indoc-2+default-dev (>= 2.0.5-~~),
 librust-lazy-static-1+default-dev (>= 1.4.0-~~),
 librust-log-0.4+default-dev,
 librust-lz4-flex-0.11+default-dev,
 librust-once-cell-1+default-dev (>= 1.20.2-~~),
 librust-pbkdf2-0.12+default-dev,
 librust-pyo3-0+default-dev (>= 0.20.3-~~),
 librust-pyo3-log-0+default-dev,
 librust-rand-0.8+default-dev (>= 0.8.5-~~),
 librust-regex-1+default-dev,
 librust-rusqlite-0.29+default-dev,
 librust-rust-ini-0.21+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev (>= 1.0.107-~~),
 librust-serde-json-1+preserve-order-dev,
 librust-sha1-0.10+default-dev,
 librust-tracing-subscriber-0.3+default-dev (>= 0.3.18-~~),
 librust-url-2+default-dev,
 librust-zbus-5+default-dev,
 librust-zvariant-5+default-dev,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-maturin,
Standards-Version: 4.7.2
Homepage: https://crates.io/crates/rookie
Vcs-Browser: https://salsa.debian.org/animux/rookie
Vcs-Git: https://salsa.debian.org/animux/rookie.git
Description: Load cookies from your web browsers
 Rookie is a Rust library that enables developers to extract cookies from
 web browsers and use them in their applications. The project contains a
 Rust library, bindings for Python and NodeJS and a CLI tool.
 .
 The library supports reading cookies from multiple popular web browsers
 including Chrome, Firefox, and others. It handles the complexity of
 accessing browser cookie databases and potentially decrypting the cookie
 values.

Package: librust-rookie-dev
Architecture: any
Multi-Arch: same
Depends:
 librust-aes-0.8+default-dev,
 librust-aes-gcm-0.10+default-dev,
 librust-cbc-0.1+default-dev,
 librust-eyre-0.6+default-dev (>= 0.6.12-~~),
 librust-glob-0.3+default-dev,
 librust-indoc-2+default-dev (>= 2.0.5-~~),
 librust-log-0.4+default-dev,
 librust-lz4-flex-0.11+default-dev,
 librust-once-cell-1+default-dev (>= 1.20.2-~~),
 librust-pbkdf2-0.12+default-dev,
 librust-rand-0.8+default-dev (>= 0.8.5-~~),
 librust-regex-1+default-dev,
 librust-rusqlite-0.29+default-dev,
 librust-rust-ini-0.21+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev (>= 1.0.107-~~),
 librust-serde-json-1+preserve-order-dev,
 librust-sha1-0.10+default-dev,
 librust-url-2+default-dev,
 librust-zbus-5+default-dev,
 librust-zvariant-5+default-dev,
 ${misc:Depends},
Provides:
 librust-rookie-0-dev (= ${binary:Version}),
 librust-rookie-0.5-dev (= ${binary:Version}),
 librust-rookie-0.5.6-dev (= ${binary:Version}),
Description: ${source:Synopsis} - Rust source code
 ${source:Extended-Description}
 .
 This package contains the Rust source code.

Package: rookie
X-Cargo-Crates: rookie-cli
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: ${source:Synopsis} - CLI
 ${source:Extended-Description}
 .
 This package contains the CLI utility.

Package: python3-rookiepy
Section: python
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: ${source:Synopsis} - Pytonn 3.x
 ${source:Extended-Description}
 .
 This package contains the Python 3 module.
