=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds" \
https://github.com/thewh1teagle/rookie/tags .*/v?(\d[0-9.]*)@ARCHIVE_EXT@
